# $Id: perl-DateTime-Set.spec 3684 2005-11-05 15:48:55Z dries $
# Authority: dries
# Upstream:Flávio Soibelmann Glock <fglock$pucrs,br>

%define perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`perl -V:installvendorarch`"; echo $installvendorarch)

%define real_name DateTime-Set

Summary: Datetime sets and set math
Name: perl-DateTime-Set
Version: 0.25
Release: 2.rf
License: Artistic
Group: Applications/CPAN
URL: http://search.cpan.org/dist/DateTime-Set/

Packager: Dries Verachtert <dries@ulyssis.org>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://www.cpan.org/modules/by-module/DateTime/DateTime-Set-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Buildarch: noarch
BuildRequires: perl

%description
The DateTime::Set module provides a date/time sets implementation.  

It allows, for example, the generation of groups of dates, 
like "every wednesday", and then find all the dates matching that 
pattern, within a time range.

%prep
%setup -n %{real_name}-%{version}

%{__perl} -pi -e 's|use Set::Infinite 0.5502;|use Set::Infinite;|g;' lib/Set/Infinite/_recurrence.pm

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%makeinstall

### Clean up buildroot
%{__rm} -rf %{buildroot}%{perl_archlib} \
		%{buildroot}%{perl_vendorarch}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes README
%doc %{_mandir}/man3/*
%{perl_vendorlib}/DateTime/
%dir %{perl_vendorlib}/Set/
%{perl_vendorlib}/Set/Infinite/

%changelog
* Sat Nov  5 2005 Dries Verachtert <dries@ulyssis.org> - 0.25-1 - 3684/dries
- Updated to release 0.25.

* Wed Jun  8 2005 Dries Verachtert <dries@ulyssis.org> - 0.22-1
- Updated to release 0.22.

* Fri Mar  4 2005 Dries Verachtert <dries@ulyssis.org> - 0.20-1
- Updated to release 0.20.

* Wed Dec 08 2004 Dries Verachtert <dries@ulyssis.org> - 0.19-2
- Requirements fixes.

* Mon Dec 06 2004 Dries Verachtert <dries@ulyssis.org> - 0.19-1
- Initial package.
